/*var width, height, center;
var points = 2010-1955;
var smooth = true;
var path = new Path();
var mousePos = view.center / 2;
var pathHeight = mousePos.y;
//path.fillColor = 'black';
path.strokeColor = 'darkred';
path.strokeWidth = 2;
initializePath();*/

window.f500_points = [];
window.f500_paths = [];


window.f500_setPaths = function(coords) {

	window.f500_points = [];
	window.f500_paths = [];

	for (var i=0; i<coords.length; i++) {
		var crd = coords[i];
		var path = new Path();
		path.strokeColor = 'darkred';
		path.segments = [];
		for (var p = 0; p < crd.length; p++) {
			var pt = new Point(crd[p][0], crd[p][1]);
			path.add(pt);
			var circ = new Path.Circle(pt, 2);
			circ.fillColor = 'darkred';
			window.f500_points.push(circ);
		}
		path.smooth();
		window.f500_paths[i] = path;
	}
	view.draw();
}

window.f500_updatePaths = function(coords) {
	var c = 0;
	for (var i=0; i<coords.length; i++) {
		var crd = coords[i];
		var path = window.f500_paths[i];
		for (var p = 0; p < crd.length; p++) {
			path.segments[p].point.y = crd[p][1];
			path.segments[p].point.x = crd[p][0];
			window.f500_points[c++].position = path.segments[p].point;
		}
		path.smooth();
	}
	view.draw();
}

window.f500_removePaths = function() {
	for (var p=0; p < window.f500_paths.length; p++) {
		window.f500_paths[p].remove();
	}
	for (var c=0; c < window.f500_points.length; c++) {
		window.f500_points[c].remove();	
	}
	view.draw();
}

/*

function initializePath() {
    center = view.center;
    width = view.size.width-100;
    height = view.size.height / 2;
    path.segments = [];
    for (var i = 0; i < points; i++) {
        var point = new Point(50 + width / points * i, center.y);
        path.add(point);
    }
    //path.fullySelected = true;
}

function onFrame(event) {
    pathHeight += (center.y - mousePos.y - pathHeight) / 10;
    for (var i = 1; i < points; i++) {
        var sinSeed = event.count + (i + i % 10) * 100;
        //var sinSeed = 2;
        var sinHeight = Math.sin(sinSeed / 200) * pathHeight;
        var yPos = Math.sin(sinSeed / 100) * sinHeight + height;
        path.segments[i].point.y = yPos;
    }
    if (smooth)
        path.smooth();
}

function onMouseMove(event) {
    mousePos = event.point;
}

function onMouseDown(event) {
    smooth = !smooth;
    if (!smooth) {
        // If smooth has been turned off, we need to reset
        // the handles of the path:
        for (var i = 0, l = path.segments.length; i < l; i++) {
            var segment = path.segments[i];
            segment.handleIn = segment.handleOut = null;
        }
    }
}

// Reposition the path whenever the window is resized:
function onResize(event) {
    initializePath();
}*/